SU(1)

BEZEICHNUNG
su - (superuser) ändert User und Gruppen ID

SYNTAX
su [-flmp] [-c Befehl] [-s Shell] [--login] [--fast] [--preserve-environment] [--command= Befehl] [--shell= Shell] [-] [Name [Argument...]]

BESCHREIBUNG
su startet eine neue Shell unter einer neuen Benutzerkennung (UID) und Gruppenkennung (GID). Wie bei einem neuen Login wird das Paßwort des Benutzers abgefragt. Wenn kein Name angegeben wird, ist das Standardargument root, man ändert die ID also in die des ``Superusers''. Allein der Superuser kann mit dem su Kommando die Identität jedes beliebigen Users annehmen, ohne nach einem Paßwort gefragt zu werden. Damit (und nur damit) ist es möglich auch unter den Verwaltungsnamen wie {it bin, news} oder daemon zu arbeiten, die normalerweise durch ein Sperrpaßwort gesichert werden.

Das su Kommando setzt die Umgebungsvariablen HOME, SHELL, USER und LOGNAME entsprechend der Eintragungen in der Datei /etc/passwd.

Wenn außer dem Namen weitere Argumente in der Kommandozeile angegeben sind, werden sie der Shell übergeben.

OPTIONEN

-c Befehl[Argument]
    führt nur den Befehl mit dem Argument aus

-f  (fast) startet die Shell mit der Option -f, die bei der (t)csh das Lesen der Initialisierungsdatei unterdrückt; bei der bash wird die Pfadnamenerweiterung unterdrückt, was nicht unbedingt das gewünschte Verhalten ist

-l  (login) die Shell wird aufgerufen wie bei einem login als Name

-p und -m
    (preserve environment) erhält die alte Systemumgebung, das heißt die Umgebungsvariablen HOME, SHELL, USER und LOGNAME werden nicht ver-än"-dert; es wird die in der Umgebungsvariablen SHELL bestimmte Shell gestartet, wenn nicht mit der -s Option eine andere Shell angegeben ist

-s Shell
    startet die Shell anstelle der in der Paßwortdatei festgelegten Shell (bzw. /bin/sh)

SIEHE AUCH
newgrp(1) und das LunetIX Linuxhandbuch

AUTOR
David MacKenzie